.header {
    width: 100%;
    min-height: 70px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;       
    padding: 10px 20px;    
    box-sizing: border-box;
    font-family: "Fira Sans", sans-serif;
}

.header-company {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}

.header-logo {
    height: 50px;
    max-width: 100%;
    align-self: center;
    margin-right: 10px;
}

.header-title {
    display: flex;
    flex-direction: column;
}

.header-title-geniuos {
    font-size: 1.5em;
    color: rgb(10, 93, 134);
    font-weight: bold;
    line-height: 1.2;
}

.header-title-cleaning {
    font-size: 0.9em;
    color: rgb(19, 121, 172);
    font-weight: bold;
}

.header-nav {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 14px;
    margin-top: 10px;
}

.header-nav a {
    background-image: linear-gradient(to right, #0a5d86, #0a5d86);
    background-size: 0% 2px;
    background-repeat: no-repeat;
    background-position: center bottom;
    transition: background-size 0.2s ease;
    padding: 1px;
}

.header-nav a:hover {
    cursor: pointer;
    background-size: 100% 2px;
}